none
BizTalk connection issue after enabled TLS 1.2 and disabled lower versions. RRS feed

Answers

All replies

  • Are you at least on CU5 or above (or FP2 and above) for BizTalk 2016?

    That is what you need as per Support for TLS 1.2 protocol in BizTalk Server or Configure the feature pack




    • Edited by Colin Dijkgraaf Wednesday, August 5, 2020 2:25 AM
    • Marked as answer by WatNxt Thursday, August 6, 2020 6:53 PM
    Wednesday, August 5, 2020 2:23 AM
  • Check if you have latest CU updated in BizTalk server or at least updated CU5.

    And second thing to check is if you have updated latest security patches on both the servers because if the supported cipher suites of destination is not present in client could also cause the issue or vise versa.

    Best, KR

    • Marked as answer by WatNxt Thursday, August 6, 2020 6:53 PM
    Wednesday, August 5, 2020 6:37 AM
  • thank you Colin and Keerthi,

    I installed Feature Pack 3 with CU 7 and issue is gone. So now I am able to connect to DB from BizTalk. While I install FP3 with CU7, it went to "Installation failed" status. I think FP3 looking for some databases to update which we dont use(like Rule engin..). So it couldn't find those DB and marked the installation as failed. However, I see all other updates. It looks like there is no options to select what to ignore/install during the installation of FP3 with CU7.

    Thursday, August 6, 2020 6:58 PM
  • It would be nice if you could either ignore those features, or if it failed more gracefully.

    However if you read this blog post Hotfixes and CUs for BizTalk Server 2016 Feature Update, Microsoft are considering discontinuing Feature Packs.

    Thursday, August 6, 2020 8:23 PM